> ## Documentation Index
> Fetch the complete documentation index at: https://docs.doconda.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar las colecciones de un artifact

> Las colecciones que ha guardado la página y cuántos registros tiene cada una.



## OpenAPI

````yaml /es/openapi.json get /documents/{document_id}/data
openapi: 3.1.0
info:
  title: API de Doconda
  version: 0.1.0
  license:
    name: Proprietary
    url: https://doconda.com/terms
  description: >-
    Convierte, crea y edita documentos de Word, PowerPoint, Excel y PDF para
    agentes de IA. `POST /documents` espera al documento (modo directo, por
    defecto) o responde al momento con `background: true`.

    Los errores siguen el RFC 9457 (application/problem+json). `POST /documents`
    acepta `Idempotency-Key`.
servers:
  - url: https://api.eu.doconda.com/v1
security:
  - apiKey: []
tags:
  - name: Documents
    description: Crea y edita documentos.
  - name: Files
    description: 'Tus propios archivos: conviértelos, o úsalos como fuente o para editarlos.'
  - name: Webhooks
    description: Recibe un aviso cuando un documento está listo.
  - name: Editor
    description: Llamadas que hace tu backend para el plugin de editor.
paths:
  /documents/{document_id}/data:
    get:
      tags:
        - Documents
      summary: 'Artifacts: las colecciones que ha guardado la página, con su tamaño'
      operationId: listArtifactCollections
      parameters:
        - name: document_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Colecciones.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        collection:
                          type: string
                        records:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                      required:
                        - collection
                        - records
                required:
                  - data
        '401':
          description: >-
            unauthorized (falta la key, no existe o está revocada; la sesión ha
            caducado).
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                  title:
                    type: string
                  status:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  code:
                    type: string
                    description: >-
                      Código estable para máquinas, por ejemplo input_invalid,
                      insufficient_balance.
                  request_id:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                      required:
                        - path
                        - message
                required:
                  - type
                  - title
                  - status
                  - code
                  - request_id
        '404':
          description: not_found
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                  title:
                    type: string
                  status:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  code:
                    type: string
                    description: >-
                      Código estable para máquinas, por ejemplo input_invalid,
                      insufficient_balance.
                  request_id:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        path:
                          type: string
                        message:
                          type: string
                      required:
                        - path
                        - message
                required:
                  - type
                  - title
                  - status
                  - code
                  - request_id
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: '`Authorization: Bearer ak_eu_…`, con una key del panel (API keys).'
    session:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Solo para el panel: el token de ID de Cognito del usuario que ha
        iniciado sesión.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.